//
//	Modified Object-oriented Realistic Image Synthesis
//	original coded C language in 1989
//	ported to C++ in 2001
//	(c) Copyright & Programmed 2001,2003 by Nakata H.
//	this code is distributed under GPL
//	$Header: /home/nakata/programs/cg/src/RCS/cpg.h,v 1.8 2003/07/31 21:00:56 nakata Exp $
//
#ifndef	__CPG_DEFINED
#define	__CPG_DEFINED

#define	TRUE		(-1)	// boolean like value
#define	FALSE		0	// boolean like value
#define	MAXPRIMITIVES	60	// this program handle max 60 primitives
#define	MAXCHAR		255	// max value of (unsigned char)
#define	MAXDOUBLE	1e100
#define	MAXREFLECT	5	// maximum reflect trace count
#define	BACKLIGHT	0.2	// brightness in a shadow (environment light)
#define	TRACELIMIT	0.1	// reflection/refraction trace limit energy

#define	SCREENDEPTH	200.0
#define	SCREENWIDTH	64.0

#define	macro_max(x,y)	( (x > y) ? x : y )
#define	macro_min(x,y)	( (x < y) ? x : y )

typedef enum {INNER, OUTER}	SIDE;

#endif	// __CPG_DEFINED
// End Of File	---------------------------------------------------------------
