//
//	Modified Object-oriented Realistic Image Synthesis
//	original coded C language in 1989
//	ported to C++ in 2001
//	(c) Copyright & Programmed 2001,2003 by Nakata H.
//	this code is distributed under GPL
//	$Header: /home/nakata/programs/cg/src/RCS/camera.h,v 1.3 2003/07/31 21:00:56 nakata Exp $
//
#ifndef __CAMERA_DEFINED
#define __CAMERA_DEFINED

#include "vector.h"

class camera
{
public:
  vector	point, orient, vertical, horizontal;

  void	rotx( double angle )
  {
    orient.rotx( angle );
    horizontal.rotx( angle );
    vertical.rotx( angle );
  }

  void	roty( double angle )
  {
    orient.roty( angle );
    horizontal.roty( angle );
    vertical.roty( angle );
  }

};
#endif	//	__CAMERA_DEFINED
// End Of File	---------------------------------------------------------------
