//
//	Modified Object-oriented Realistic Image Synthesis
//	original coded C language in 1989
//	ported to C++ in 2001
//	(c) Copyright & Programmed 2001,2003 by Nakata H.
//	this code is distributed under GPL
//	$Header: /home/nakata/programs/cg/src/RCS/pixel.h,v 1.5 2003/07/31 21:00:56 nakata Exp $
//
#ifndef	__PIXEL_DEFINED
#define	__PIXEL_DEFINED

#include "color.h"
#include "cpg.h"

class pixel
{
public:
  unsigned char	red, green, blue;

  pixel( unsigned char r = 0, unsigned char g = 0, unsigned char b = 0 )
  {
    red = r;
    green = g;
    blue = b;
  }

  void assign( unsigned char r = 0, unsigned char g = 0, unsigned char b = 0 )
  {
    red = r;
    green = g;
    blue = b;
  }

  pixel operator = (color &parameter)
  {
    unsigned int	tmp;

    tmp = (unsigned int)(parameter.red * ((double)MAXCHAR));
    red = (unsigned char)((tmp > MAXCHAR) ? MAXCHAR : tmp);
    tmp = (unsigned int)(parameter.green * ((double)MAXCHAR));
    green = (unsigned char)((tmp > MAXCHAR) ? MAXCHAR : tmp);
    tmp = (unsigned int)(parameter.blue * ((double)MAXCHAR));
    blue = (unsigned char)((tmp > MAXCHAR) ? MAXCHAR : tmp);
    return (*this);
  }
};
#endif	// __PIXEL_DEFINED
// End Of File	---------------------------------------------------------------
